Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.util
Class MimeTypeHelper.ContentType

    java.lang.Object
      com.bea.p13n.util.MimeTypeHelper.ContentType

All Implemented Interfaces
  Serializable

Enclosing class:
  MimeTypeHelper

    public static class MimeTypeHelper.ContentType

extends Object
implements Serializable

The data representation of a MIME 1.0 Content Type.

See Also
  `MimeTypeHelper.parseContentType(java.lang.String)`, Serialized Form

Field Summary
`String` | `major` The Major type.
`String` | `minor` The Minor type.
`Properties` | `properties` Additional properties of the content type.

Constructor Summary
`MimeTypeHelper.ContentType()` Constructor.
`MimeTypeHelper.ContentType(String major, String minor)` Constructor with media type information.

Method Summary
`String` | `toString()` Return the MimeType in "major/minor[; name=value; name=value...]" form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### major

    public String major

  The Major type.

### minor

    public String minor

  The Minor type.

### properties

    public Properties properties

  Additional properties of the content type.

Constructor Detail

### MimeTypeHelper.ContentType

    public MimeTypeHelper.ContentType(String major,
                                      String minor)

  Constructor with media type information.

### MimeTypeHelper.ContentType

    public MimeTypeHelper.ContentType()

  Constructor.

Method Detail

### toString

    public String toString()

  Return the MimeType in "major/minor[; name=value; name=value...]" form.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.